curl -X GET 'https://api.telegent.com/v1.0/distributor/subscribers?PageNumber=1&TotalPerPage=10' \
-H 'Authorization: Bearer YOUR_TOKEN'{
"PageNumber": 1,
"TotalSubscribers": 75,
"Subscribers": [
{
"SubscriberId": "TSUID-3dd3c8a9-632e-4415-b790-563444ba01ab",
"Name": "",
"Email": "[email protected]",
"PhoneNumbers": [
"+12025289874"
],
"Role": "Subscriber",
"Account": null,
"Subscriptions": []
}
]
}Retrieve a paginated list of all subscribers under the distributor. Returns subscriber details including ID, name, email, phone numbers, role, and associated account information.
curl -X GET 'https://api.telegent.com/v1.0/distributor/subscribers?PageNumber=1&TotalPerPage=10' \
-H 'Authorization: Bearer YOUR_TOKEN'{
"PageNumber": 1,
"TotalSubscribers": 75,
"Subscribers": [
{
"SubscriberId": "TSUID-3dd3c8a9-632e-4415-b790-563444ba01ab",
"Name": "",
"Email": "[email protected]",
"PhoneNumbers": [
"+12025289874"
],
"Role": "Subscriber",
"Account": null,
"Subscriptions": []
}
]
}Enter the token obtained from the Authentication endpoint
Page number for pagination
Number of subscribers per page
Subscribers Retrieved
The response is of type object.